*,
* ::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  color: var(--text-color);
}
body {
  background-color: #f1fdef;
}

header {
  --background-color: #068729;
  --highlight-background-color: #779a75;
  --accent-color: #d3a350;
  --text-color: #ffda84;
  background-color: var(--background-color);
  width: 100%;
  height: 80px;
  border: 1px solid #03300f;
}
h4 {
  color: black;
}

.navbar {
  position: relative;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--text-color);
}

.brand-title {
  font-family: Playball;
  font-size: 3rem;
  color: var(--text-color);
  margin: 0.5rem;
  text-shadow: 2px 2px var(--highlight-background-color);
  padding-left: 10px;
}

.navbar-links ul {
  margin: 0;
  padding: 0;
  display: flex;
}

.navbar-links li {
  list-style: none;
}

.navbar-links li a {
  font-family: Poppins;
  text-shadow: 4px 4px 2px rgba(0, 0, 0, 0.2);
  text-decoration: none;
  color: var(--text-color);
  padding: 1rem;
  display: block;
}

.navbar-links li:hover {
  background: var(--highlight-background-color);
  border-radius: 10px;
}

/* burger logo */

.burger-logo {
  animation: moveJump 4s ease-in-out infinite, slide 8s linear 2.3;
  position: absolute;
  top: 50%;
  left: 33%;
  transform: translate(-50%, -33%) scale(1.5);
}
ul {
  list-style-type: circle;
}
li {
  color: black;
}

/* burger logo move */

@keyframes moveJump {
  0%,
  100% {
    transform: translateY(-20px);
  }
  50% {
    transform: translateY(0);
  }
}

@keyframes slide {
  0% {
    left: 0;
  }
  50% {
    left: 50%;
  }
  100% {
    left: 100%;
  }
}

/* burger menu button */

.toggle-button {
  cursor: pointer;
  position: absolute;
  top: 1.5rem;
  right: 1rem;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 21px;
}

/* burger menu into an x */

.toggle-button .bar {
  height: 3px;
  width: 100%;
  background-color: var(--text-color);
  border-radius: 10px;
  transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.toggle-button.active .bar:nth-child(1) {
  transform: rotate(-45deg) translate(-9px, 3px);
}

.toggle-button.active .bar:nth-child(2) {
  transform: rotate(45deg) translate(-3px, 3px);
}

.toggle-button.active .bar.hide {
  opacity: 0;
  transform: translateY(0);
}
/* adjust mobile and desktop */

@media (max-width: 796px) {
  .toggle-button {
    display: flex;
  }

  .navbar-links {
    background-color: var(--background-color);
    display: none;
    width: 100%;
  }

  .navbar {
    flex-direction: column;
    align-items: flex-start;
  }

  .navbar-links ul {
    width: 100%;
    flex-direction: column;
  }

  .navbar-links li {
    border: 1px solid var(--accent-color);
    text-align: center;
  }

  .navbar-links li a {
    padding: 0.6rem 0.9rem;
  }

  .navbar-links.active {
    display: flex;
  }
}

picture img {
  width: 100%;
  height: 400px;
  object-fit: cover;
}
